using System;
using System.Collections.Generic;
using System.Data;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioUsuarioAPI
    {

        public IList<entidadeUsuarioAPI> Select(entidadeUsuarioAPI objUsuarioAPI)
        {
            dalUsuarioAPI dalUsuarioAPI = null;

            var lstUsuarioAPI = new List<entidadeUsuarioAPI>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUsuarioAPI = new dalUsuarioAPI();
                dt = dalUsuarioAPI.Select(objUsuarioAPI);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUsuarioAPI = regraNegocioGlobal.ConvertDataTable<entidadeUsuarioAPI>(dt);

                return lstUsuarioAPI;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
